Subject: Re: Bug#218182: man-db: Woody security update install fails in postinst

From: Colin Watson <[email-masked]>
Date: Wed, 29 Oct 2003 15:09:33 +0000

On Wed, Oct 29, 2003 at 02:55:28PM +0000, Wookey wrote:
> Package: man-db
> Version: 2.3.20-18.woody.4
> Severity: important
> 
> when I do the upgrade (with set -o xtrace in the postinst script) I get:
> Setting up man-db (2.3.20-18.woody.4) ...
> + '[' configure = configure ']'
> + oldcatdir=/var/catman
> + catdir=/var/cache/man
> + maybesetuid=man mandb
> + conffile=/etc/manpath.config
> + . /usr/share/debconf/confmodule
> ++ '[' '!' '' ']'
> ++ exec /usr/share/debconf/frontend /var/lib/dpkg/info/man-db.postinst
> configure 2.3.20-18
> dpkg: error processing man-db (--configure):
>  subprocess post-installation script returned error exit status 10
>  
> so it seems to call itself again via frontend, which seems to exit with no
> error.

The inner call is normal for debconfiscated maintainer scripts. Could I
see the output with DEBCONF_DEBUG=developer in the environment? I
suspect a corrupted debconf database.

> I don't really understand what's going on here, but I've had man-db
> unconfigurable for a while now and I'm not sure sure how to track it down
> further, and am presumably still exposed to the problem it was intended to
> fix.

FWIW, it's only a security problem when /usr/lib/man-db/{man,mandb} are
setuid, which is optional although required for cat page support.

Cheers,

-- 
Colin Watson                                  [[email-masked]]